<%@page contentType="text/html;  charset=UTF-8;" pageEncoding="UTF-8"  %>

<%@page import="java.io.ByteArrayInputStream" %>
<%@page import="java.io.ByteArrayOutputStream" %>
<%@page import="java.io.File" %>
<%@page import="java.io.IOException" %>
<%@page import="java.io.InputStream" %>
<%@page import="org.apache.commons.fileupload.servlet.ServletFileUpload" %>
<%@page import="org.apache.commons.fileupload.FileItemFactory" %>
<%@page import="org.apache.commons.fileupload.disk.DiskFileItemFactory" %>
<%@page import="org.apache.commons.fileupload.FileItem" %>
<%@page import="com.csc.library.session.*" %>
<%@page import="com.csc.library.utilities.*,com.csc.library.database.DataSet,java.util.*" %>
<%@page import="com.csc.library.database.CscConnection" %>
<%@page import="com.csc.library.fpprocess.*" %>
<%@page import="com.csc.library.fputility.*" %>
<%@page import="com.google.gson.Gson" %>
<%@page import="com.google.gson.GsonBuilder" %>

<%
		System.out.print("******* get clock from server *********");
		UProfile up = new UProfile(); 
		up.setDbName("DBSYS");
		up.setSchemaName("dbo");
		up.setUserName("MYHRADMIN");
		up.set("companyid", "100");
		up.set("employeeid", "1262");
		up.set("lang", "eng");
		up.set("appname", "PAYROLL");

		ThaiUtilities util = new ThaiUtilities();

		String strJSON = "";

		Gson gson = new Gson();
		Gson gs = new GsonBuilder().serializeNulls().create();

		String json = "";

		try {
			System.out.print("!! update server clock page has been called !!");
			String COMCODE = "10";	/* 10 : comcode for update clock */
			MsgPackage msgpack = new MsgPackage(COMCODE);	
			msgpack.setServClock(new CscCalendar().getYYYYMMDDHHMMSS());

			json = msgpack.getPackage();

		}catch(Exception e){
			e.printStackTrace();
		}
		
%>

<%=json%>


